graphics/glew - The NetBSD Packages Collection

OpenGL Extension Wrangler Library

The OpenGL Extension Wrangler Library (GLEW) is a cross-platform C/C++
extension loading library. GLEW provides efficient run-time mechanisms for
determining which OpenGL extensions are supported on the target platform.
OpenGL core and extension functionality is exposed in a single header file.

Build dependencies

pkgtools/x11-links x11/xorgproto x11/xcb-proto pkgtools/cwrappers devel/gmake

Runtime dependencies

graphics/MesaLib graphics/glu graphics/glu graphics/MesaLib graphics/glu

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfglew-2.1.0.tgz
NetBSD 8.0earmv7hfglew-2.1.0.tgz
NetBSD 8.0earmv7hfglew-2.2.0nb1.tgz
NetBSD 8.0i386glew-2.1.0.tgz
NetBSD 8.0i386glew-2.1.0.tgz
NetBSD 8.0i386glew-2.2.0nb1.tgz
NetBSD 8.0powerpcglew-2.1.0.tgz
NetBSD 8.0powerpcglew-2.1.0.tgz
NetBSD 8.0powerpcglew-2.1.0.tgz
NetBSD 8.0x86_64glew-2.2.0nb1.tgz
NetBSD 8.0x86_64glew-2.1.0.tgz
NetBSD 8.0x86_64glew-2.1.0.tgz
NetBSD 9.0aarch64glew-2.2.0nb1.tgz
NetBSD 9.0aarch64glew-2.1.0.tgz
NetBSD 9.0aarch64glew-2.1.0.tgz
NetBSD 9.0alphaglew-2.2.0nb1.tgz
NetBSD 9.0alphaglew-2.1.0.tgz
NetBSD 9.0alphaglew-2.1.0.tgz
NetBSD 9.0earmv6hfglew-2.2.0nb1.tgz
NetBSD 9.0earmv6hfglew-2.1.0.tgz
NetBSD 9.0earmv6hfglew-2.1.0.tgz
NetBSD 9.0earmv6hfglew-2.1.0.tgz
NetBSD 9.0earmv7hfglew-2.2.0nb1.tgz
NetBSD 9.0earmv7hfglew-2.1.0.tgz
NetBSD 9.0earmv7hfglew-2.1.0.tgz
NetBSD 9.0earmv7hfglew-2.1.0.tgz
NetBSD 9.0i386glew-2.1.0.tgz
NetBSD 9.0i386glew-2.1.0.tgz
NetBSD 9.0i386glew-2.2.0nb1.tgz
NetBSD 9.0m68kglew-2.1.0.tgz
NetBSD 9.0m68kglew-2.1.0.tgz
NetBSD 9.0mips64ebglew-2.2.0nb1.tgz
NetBSD 9.0mips64ebglew-2.1.0.tgz
NetBSD 9.0mips64ebglew-2.1.0.tgz
NetBSD 9.0mipselglew-2.1.0.tgz
NetBSD 9.0mipselglew-2.2.0nb1.tgz
NetBSD 9.0powerpcglew-2.1.0.tgz
NetBSD 9.0powerpcglew-2.1.0.tgz
NetBSD 9.0sh3elglew-2.1.0.tgz
NetBSD 9.0sh3elglew-2.1.0.tgz
NetBSD 9.0sh3elglew-2.2.0nb1.tgz
NetBSD 9.0sparc64glew-2.2.0nb1.tgz
NetBSD 9.0sparc64glew-2.1.0.tgz
NetBSD 9.0sparc64glew-2.1.0.tgz
NetBSD 9.0sparc64glew-2.1.0.tgz
NetBSD 9.0sparcglew-2.2.0nb1.tgz
NetBSD 9.0sparcglew-2.1.0.tgz
NetBSD 9.0sparcglew-2.1.0.tgz
NetBSD 9.0vaxglew-2.2.0nb1.tgz
NetBSD 9.0vaxglew-2.1.0.tgz
NetBSD 9.0x86_64glew-2.1.0.tgz
NetBSD 9.0x86_64glew-2.1.0.tgz
NetBSD 9.0x86_64glew-2.1.0.tgz
NetBSD 9.0x86_64glew-2.2.0nb1.tgz
NetBSD 9.0x86_64glew-2.1.0.tgz
NetBSD 9.0x86_64glew-2.1.0.tgz
NetBSD 9.0x86_64glew-2.2.0nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.